<!DOCTYPE html>
<html>
   <head>
      <link rel="icon" href="data:;base64,=">
      <script type="text/javascript">
         var sock = null;
         var ellog = null;

         window.onload = function() {

            ellog = document.getElementById('log');

            var wsuri;
            if (window.location.protocol === "file:") {
               wsuri = "ws://127.0.0.1:8090/broadcast";
            } else {
               wsuri = "ws://" + window.location.hostname + ":8090/broadcast";
            }
            if ("WebSocket" in window) {
               sock = new WebSocket(wsuri);
            } else if ("MozWebSocket" in window) {
               sock = new MozWebSocket(wsuri);
            } else {
               log("Browser does not support WebSocket!");
               window.location = "http://autobahn.ws/unsupportedbrowser";
            }

            if (sock) {
               sock.onopen = function() {
                  log("Connected to " + wsuri);
               }

               sock.onclose = function(e) {
                  log("Connection closed (wasClean = " + e.wasClean + ", code = " + e.code + ", reason = '" + e.reason + "')");
                  sock = null;
               }

               sock.onmessage = function(e) {
                  log("Got message: " + e.data);
               }
            }
         };

         function log(m) {
            ellog.innerHTML += m + '\n';
            ellog.scrollTop = ellog.scrollHeight;
         };
      </script>
      <link rel="stylesheet" type="text/css" href="/static/css/base.css">
   </head>
   <body>
      <h1>OSC websocket Test</h1>
      <noscript>You must enable JavaScript</noscript>
      <pre id="log"></pre>
   </body>
</html>
